
Figure - Bug #115245
【BSP】【EVT2】【文件管理器】【10/10】不能一次删除19.7G内容的文件夹
2023-01-11 15:35 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-11

Priority: Normal Due date: 2023-02-24

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-28

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1.设备中有19.7G的文件夹，且文件夹中有不同格式文件和多个文件夹

【测试步骤】

1.从PC中push 19.7G的文件夹到本地/sdcard/

2.设备开启8个后台及1个小窗

3.进入文件管理器，删除19.7G的文件夹，选择"确定" 

【期望结果】

3.提示文件过大，一次性删除，不保留

【实际结果】

3.提示"要删除文件夹xxx及其中的内容吗？"仅删除部分文件

【复现概率】2/2

【问题发生时间点】20230111-051811 附件1分钟内

History

#1 - 2023-01-11 15:41 - CDTS_TEST 刘勇

- Subject changed from 【BSP】【EVT2】【文件管理器】【10/10】不能一次删除19.7G的文件夹 to 【BSP】【EVT2】【文件管理器】【10/10】不能一次删

除19.7G内容的文件夹

#2 - 2023-01-11 16:38 - CD APP-王营

- Due date set to 2023-01-31

#3 - 2023-01-29 10:17 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2023-01-30 09:55 - CD APP-王营

- File anr_2023-01-29-16-10-40-225 added

- % Done changed from 0 to 10

■ Current conclusion

分析中

■ My analysis

通过删除成功和失败的log分析，在大文件删除过程中 ContentProvider出现了anr，具体log如下
删除成功---------------------------------------->>>

01-29 17:04:37.839  3277 14454 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.843  3277 14422 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.853  3277 14450 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.873  3277 14456 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.882  3277 14451 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.894  1015  1015 I notification_enqueue: [10037,14572,com.android.documentsui,1,NULL,0,Notification(channel=channel_id shortcut=null

contentView=null vibrate=null sound=null defaults=0x0 flags=0x42 color=0x00000000 category=progress actions=1 vis=PRIVATE),1]

01-29 17:04:37.895  3277 14444 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.909  3277 14449 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.923  3277 14439 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 17:04:37.942 11123 11123 D Documents: Content updated.

01-29 17:04:37.942 11123 11123 D ContentLock: run when unlock, is locked : false

01-29 17:04:37.959  3277  3303 W ModernMediaScanner: Failed to visit /storage/emulated/0/HiPHi: java.nio.file.NoSuchFileException: /storage/emulated/0/HiPHi

01-29 17:04:37.968  3277  3303 I MediaProvider: Scanned external_primary due to REASON_DEMAND, found 0 items in 13ms, 0 inserts 0 updates 0 deletes

01-29 17:04:37.971 14572 14741 D FileOperationService: onFinished: 11055559-0

01-29 17:04:37.971 14572 14741 D FileOperationService: deleteJob: 11055559-0

01-29 17:04:37.972 14572 14741 D FileOperationService: Stop foreground

01-29 17:04:37.975  1015  1015 I sysui_multi_action:

[757,128,758,5,759,8,793,5661,794,0,795,588,796,1,806,com.android.documentsui,857,channel_id,858,2,947,0,1500,588,1641,progress,1688,1]

01-29 17:04:37.975  1015  1015 I notification_canceled: [0|com.android.documentsui|1|null|10037,8,5661,588,0,-1,-1,NULL]

01-29 17:04:37.975  2688  3000 I GameMode_ActivityMonitoringService: onForegroundServicesChanged uid 10037 pid 14572 fg 0

01-29 17:04:37.975 14572 14572 D FileOperationService: Canceling notification for 11055559-0

01-29 17:04:37.977  1015  1015 D CompatibilityChangeReporter: Compat change id reported: 175319604; UID 1000; state: ENABLED

01-29 17:04:37.977  1015  1015 D CompatibilityChangeReporter: Compat change id reported: 175319604; UID 1000; state: DISABLED

01-29 17:04:37.979  2688  2688 D GameMode_GameModeNotificationListenerService: onNotificationRemoved.

01-29 17:04:37.982 14572 14572 D FileOperationService: Shutting down. Last serviceId was 1

删除失败----------------------------------->>>>>>>>>>>>>>

01-29 16:10:40.083  3277 10787 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:40.088  3277 10802 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:40.090  2085  2348 D PeopleSpaceWidgetMgr: Sbn doesn't contain valid PeopleTileKey: null/0/com.android.documentsui

01-29 16:10:40.094  3277 10792 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:40.099  3277 10772 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:40.106  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:40.107  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:40.116 11293 11293 W ContentProviderClient: Detected provider not responding: android.content.ContentProviderProxy@bc3a53c

01-29 16:10:40.121  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:40.121  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:40.146  2085  2085 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification null metadata=null metaDataChanged=false state=0

01-29 16:10:40.147  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:40.147  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:40.157  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:40.157  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass
01-29 16:10:40.171  3277 10800 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:40.221  1015 11323 I am_anr  : [0,10827,com.android.externalstorage,814267973,ContentProvider not responding]

01-29 16:10:40.222  1015 11323 I ActivityManager: dumpStackTraces pids=null nativepids=null

01-29 16:10:40.226  1015 11323 I ActivityManager: Dumping to /data/anr/anr_2023-01-29-16-10-40-225

01-29 16:10:40.226  1015 11323 I ActivityManager: Collecting stacks for pid 10827

01-29 16:10:40.227  1015 11323 I system_server: libdebuggerd_client: started dumping process 10827

01-29 16:10:40.236   631   631 I tombstoned: registered intercept for pid 10827 and type kDebuggerdJavaBacktrace

01-29 16:10:40.236 10827 10836 I externalstorag: Thread[3,tid=10836,WaitingInMainSignalCatcherLoop,Thread*=0xb4000077f5ea72c0,peer=0x12d001c0,"Signal

Catcher"]: reacting to signal 3

01-29 16:10:40.236 10827 10836 I externalstorag: 

01-29 16:10:40.375  1015  1015 I notification_enqueue: [10037,11293,com.android.documentsui,1,NULL,0,Notification(channel=channel_id shortcut=null

contentView=null vibrate=null sound=null defaults=0x0 flags=0x42 color=0x00000000 category=progress actions=1 vis=PRIVATE),1]

01-29 16:10:40.425   650   664 I mpu_uart: [MSG-P:R]:recv sync frame timeout

01-29 16:10:40.578  1015  1015 I GameModeConfig: isGameModeOn = false

01-29 16:10:40.585  2688  2688 V GameMode_GameTypeUtils: judge isGame:com.android.documentsui

01-29 16:10:40.585  2688  2688 E GameMode_GameModeNotificationListenerService: title :正在删除文件content

:null,PackageName:com.android.documentsui,isGameModeOn:false,isBulletScreenOn:false,isBulletScreenPackage:false

01-29 16:10:40.595  2085  2085 D InterruptionStateProvider: No bubble up: not allowed to bubble: 0|com.android.documentsui|1|null|10037

01-29 16:10:40.597  2085  2085 D InterruptionStateProvider: No heads up: unimportant notification: 0|com.android.documentsui|1|null|10037

01-29 16:10:40.607  2085  2348 D PeopleSpaceWidgetMgr: Sbn doesn't contain valid PeopleTileKey: null/0/com.android.documentsui

01-29 16:10:40.611  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:40.611  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:40.622  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:40.623  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:40.648  2085  2085 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification null metadata=null metaDataChanged=false state=0

01-29 16:10:40.648  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:40.648  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:40.658  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:40.659  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:40.830   650   665 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

01-29 16:10:40.831  3052  3052 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

01-29 16:10:40.831  3052  3052 I hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

01-29 16:10:40.832  3052  3052 I hpplay-java: [main]:ServerTaskManager:get local ip:null

01-29 16:10:40.882  1015  1015 I notification_enqueue: [10037,11293,com.android.documentsui,1,NULL,0,Notification(channel=channel_id shortcut=null

contentView=null vibrate=null sound=null defaults=0x0 flags=0x42 color=0x00000000 category=progress actions=1 vis=PRIVATE),1]

01-29 16:10:40.959  1299  5357 I OMX-VENC: venc_dev: stats: avg. fps 10.81, bitrate 90600

01-29 16:10:41.085  1015  1015 I GameModeConfig: isGameModeOn = false

01-29 16:10:41.091  2688  2688 V GameMode_GameTypeUtils: judge isGame:com.android.documentsui

01-29 16:10:41.092  2688  2688 E GameMode_GameModeNotificationListenerService: title :正在删除文件content

:null,PackageName:com.android.documentsui,isGameModeOn:false,isBulletScreenOn:false,isBulletScreenPackage:false

01-29 16:10:41.101  2085  2085 D InterruptionStateProvider: No bubble up: not allowed to bubble: 0|com.android.documentsui|1|null|10037

01-29 16:10:41.103  2085  2085 D InterruptionStateProvider: No heads up: unimportant notification: 0|com.android.documentsui|1|null|10037

01-29 16:10:41.113  2085  2348 D PeopleSpaceWidgetMgr: Sbn doesn't contain valid PeopleTileKey: null/0/com.android.documentsui

01-29 16:10:41.127  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame
01-29 16:10:41.127  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:41.141  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:41.141  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:41.165  2085  2085 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification null metadata=null metaDataChanged=false state=0

01-29 16:10:41.165  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:41.165  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:41.175  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:41.175  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:41.388  1015  1015 I notification_enqueue: [10037,11293,com.android.documentsui,1,NULL,0,Notification(channel=channel_id shortcut=null

contentView=null vibrate=null sound=null defaults=0x0 flags=0x42 color=0x00000000 category=progress actions=1 vis=PRIVATE),1]

01-29 16:10:41.591  1015  1015 I GameModeConfig: isGameModeOn = false

01-29 16:10:41.594  2688  2688 V GameMode_GameTypeUtils: judge isGame:com.android.documentsui

01-29 16:10:41.594  2688  2688 E GameMode_GameModeNotificationListenerService: title :正在删除文件content

:null,PackageName:com.android.documentsui,isGameModeOn:false,isBulletScreenOn:false,isBulletScreenPackage:false

01-29 16:10:41.598  2085  2085 D InterruptionStateProvider: No bubble up: not allowed to bubble: 0|com.android.documentsui|1|null|10037

01-29 16:10:41.599  2085  2085 D InterruptionStateProvider: No heads up: unimportant notification: 0|com.android.documentsui|1|null|10037

01-29 16:10:41.612  2085  2348 D PeopleSpaceWidgetMgr: Sbn doesn't contain valid PeopleTileKey: null/0/com.android.documentsui

01-29 16:10:41.613  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:41.613  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:41.625  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:41.625  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:41.650  2085  2085 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification null metadata=null metaDataChanged=false state=0

01-29 16:10:41.651  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:41.651  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:41.661  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:41.661  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-29 16:10:41.830   650   665 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

01-29 16:10:41.834  3052  3052 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

01-29 16:10:41.835  3052  3052 I hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

01-29 16:10:41.835  3052  3052 I hpplay-java: [main]:ServerTaskManager:get local ip:null

01-29 16:10:41.895  1015  1015 I notification_enqueue: [10037,11293,com.android.documentsui,1,NULL,0,Notification(channel=channel_id shortcut=null

contentView=null vibrate=null sound=null defaults=0x0 flags=0x42 color=0x00000000 category=progress actions=1 vis=PRIVATE),1]

01-29 16:10:41.963  1015  1184 I am_uid_idle: 10070

01-29 16:10:41.967  1299  5357 I OMX-VENC: venc_dev: stats: avg. fps 10.91, bitrate 91305

01-29 16:10:42.097  1015  1015 I GameModeConfig: isGameModeOn = false

01-29 16:10:42.103  2688  2688 V GameMode_GameTypeUtils: judge isGame:com.android.documentsui

01-29 16:10:42.104  2688  2688 E GameMode_GameModeNotificationListenerService: title :正在删除文件content

:null,PackageName:com.android.documentsui,isGameModeOn:false,isBulletScreenOn:false,isBulletScreenPackage:false
01-29 16:10:42.112  2085  2085 D InterruptionStateProvider: No bubble up: not allowed to bubble: 0|com.android.documentsui|1|null|10037

01-29 16:10:42.113  2085  2085 D InterruptionStateProvider: No heads up: unimportant notification: 0|com.android.documentsui|1|null|10037

01-29 16:10:42.124  2085  2348 D PeopleSpaceWidgetMgr: Sbn doesn't contain valid PeopleTileKey: null/0/com.android.documentsui

01-29 16:10:42.128  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:42.129  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:42.133   631   631 I tombstoned: received crash request for pid 10827

01-29 16:10:42.133   631   631 I tombstoned: found intercept fd 512 for pid 10827 and type kDebuggerdJavaBacktrace

01-29 16:10:42.134 10827 10836 I externalstorag: Wrote stack traces to tombstoned

01-29 16:10:42.134   631   631 W tombstoned: missing output fd

01-29 16:10:42.134  1015 11323 I system_server: libdebuggerd_client: done dumping process 10827

01-29 16:10:42.136  1015 11323 I ActivityManager: Done dumping

01-29 16:10:42.137  1015 11323 E ActivityManager: ANR in com.android.externalstorage

01-29 16:10:42.137  1015 11323 E ActivityManager: PID: 10827

01-29 16:10:42.137  1015 11323 E ActivityManager: Reason: ContentProvider not responding

01-29 16:10:42.137  1015 11323 E ActivityManager: ErrorId: 204b0d6b-d97a-4574-9cfe-f4e743e395de

01-29 16:10:42.137  1015 11323 E ActivityManager: Frozen: false

01-29 16:10:42.137  1015 11323 E ActivityManager: Load: 0.0 / 0.0 / 0.0

01-29 16:10:42.137  1015 11323 E ActivityManager: ----- Output from /proc/pressure/memory -----

01-29 16:10:42.137  1015 11323 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.24 total=37000040

01-29 16:10:42.137  1015 11323 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.06 total=18520923

01-29 16:10:42.137  1015 11323 E ActivityManager: ----- End output from /proc/pressure/memory -----

01-29 16:10:42.137  1015 11323 E ActivityManager: 

01-29 16:10:42.137  1015 11323 E ActivityManager: CPU usage from 270945ms to 0ms ago (2023-01-19 15:31:36.819 to 2023-01-29 16:10:40.121):

01-29 16:10:42.137  1015 11323 E ActivityManager:   8.2% 1051/surfaceflinger: 3.6% user + 4.5% kernel / faults: 647 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   8% 3277/com.android.providers.media.module: 1.3% user + 6.6% kernel / faults: 15939 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   7.2% 960/vendor.qti.hardware.display.composer-service: 2.1% user + 5% kernel / faults: 105 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   6.2% 1299/media.codec: 0.9% user + 5.3% kernel / faults: 90 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   5.7% 101/irq/41-tsens-up: 0% user + 5.7% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   5% 4444/adbd: 0.5% user + 4.4% kernel / faults: 29946 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   3.6% 1015/system_server: 1.2% user + 2.4% kernel / faults: 34928 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   2.8% 2085/com.android.systemui: 1.6% user + 1.2% kernel / faults: 8065 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   2.4% 5324/app_process: 0.9% user + 1.5% kernel / faults: 389 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   2.2% 1530/llkd: 0.1% user + 2.1% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.9% 503/logd: 0.2% user + 1.7% kernel / faults: 211 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.8% 289/kgsl_worker_thr: 0% user + 1.8% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.6% 8912/kworker/u16:18+CDSP_DATA: 0% user + 1.6% kernel / faults: 5 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.4% 335/kworker/u16:12-adb: 0% user + 1.4% kernel / faults: 13 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.4% 7458/kworker/u16:8+CDSP_DATA: 0% user + 1.4% kernel / faults: 14 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.4% 9536/kworker/u16:16+LPASS_CNTL: 0% user + 1.4% kernel / faults: 6 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.4% 4951/com.android.launcher3: 0.2% user + 0.2% kernel / faults: 19145 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.3% 6070/kworker/u16:7+SENSORS_DATA: 0% user + 1.3% kernel / faults: 25 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.3% 255/kworker/u16:2+LPASS_DATA: 0% user + 1.3% kernel / faults: 6 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.3% 337/kworker/u16:14-ufs_clkscaling_0: 0% user + 1.3% kernel / faults: 12 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.3% 6715/kworker/u16:17-memlat_wq: 0% user + 1.3% kernel / faults: 19 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.1% 5977/kworker/u16:6+LPASS_DATA: 0% user + 1.1% kernel / faults: 5 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1.1% 8906/kworker/u16:3+SENSORS_DCI: 0% user + 1.1% kernel / faults: 4 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   1% 9535/kworker/u16:11+SENSORS_DATA: 0% user + 1% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.9% 7716/kworker/u16:19+LPASS_DATA: 0% user + 0.9% kernel / faults: 5 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.7% 758/crtc_commit:125: 0% user + 0.7% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.7% 4720/kworker/u16:1+SENSORS_DATA: 0% user + 0.7% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.6% 332/kworker/u16:10+NPU_DATA: 0% user + 0.6% kernel / faults: 5 minor
01-29 16:10:42.137  1015 11323 E ActivityManager:   0.6% 10807/kworker/0:2-events_power_efficient: 0% user + 0.6% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.6% 9776/kworker/u17:2-kgsl-events: 0% user + 0.6% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.5% 8126/kworker/u17:0-dwc_wq: 0% user + 0.5% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.5% 1244/tlog: 0.1% user + 0.4% kernel / faults: 12 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.5% 999/qrtr-ns: 0% user + 0.4% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.4% 9481/kworker/3:0-events_power_efficient: 0% user + 0.4% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.4% 10215/kworker/u17:3-dwc_wq: 0% user + 0.4% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.4% 5295/logcat: 0% user + 0.4% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.4% 11/rcu_preempt: 0% user + 0.4% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 650/vendor.ts.uart@1.0-service: 0% user + 0.3% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 5915/kworker/u16:5-CDSP_CNTL: 0% user + 0.3% kernel / faults: 15 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 64/rcuop/6: 0% user + 0.3% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 96/kswapd-1:0: 0% user + 0.3% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 10246/kworker/1:0-mm_percpu_wq: 0% user + 0.3% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.3% 32/rcuop/2: 0% user + 0.3% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 14/rcuop/0: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 10806/kworker/2:0: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 2375/com.thundercomm.tchttpserver: 0% user + 0.2% kernel / faults: 250 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 2544/com.thundercomm.remotecontrolservice: 0% user + 0.2% kernel / faults: 155 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 674/netd: 0% user + 0.2% kernel / faults: 30 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 1512/msm_irqbalance: 0% user + 0.1% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 37/ksoftirqd/3: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 40/rcuop/3: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0% 2688/com.thundercomm.gamemode: 0% user + 0% kernel / faults: 1582 minor

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 1057/tftp_server: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 10/ksoftirqd/0: 0% user + 0.2% kernel

01-29 16:10:42.137  1015 11323 E ActivityManager:   0.2% 10511/kworker/u16:0+NPU_DATA: 0% user + 0.2% kernel / faults: 2 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.2% 3052/com.hht.lebocast: 0% user + 0.1% kernel / faults: 317 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 24/rcuop/1: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 12/rcu_sched: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 9757/kworker/u17:1-dwc_wq: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 1266/cnss_diag: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 72/rcuop/7: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 3002/irq/16-90b6400.: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 673/statsd: 0% user + 0.1% kernel / faults: 46 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 21/ksoftirqd/1: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 29/ksoftirqd/2: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 1288/selfinstaller: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 9777/kworker/4:2-mm_percpu_wq: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 675/zygote64: 0% user + 0.1% kernel / faults: 480 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 969/vendor.qti.hardware.perf@2.2-service: 0% user + 0.1% kernel / faults: 124 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 9736/com.thundercomm.gamemode.provider: 0% user + 0% kernel / faults: 1371 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 5496/transport: 0% user + 0% kernel / faults: 2 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 575/android.system.suspend@1.0-service: 0% user + 0% kernel / faults: 2 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 88/qmp_aop: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 759/crtc_event:125: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1276/installd: 0% user + 0% kernel / faults: 45 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0.1% 3004/irq/17-9091000.: 0% user + 0.1% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 505/servicemanager: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1230/iorapd: 0% user + 0% kernel / faults: 7190 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 9559/kworker/2:1-events_power_efficient: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 33/rcuos/2: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1384/cnss-daemon: 0% user + 0% kernel
01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2724/android.ext.services: 0% user + 0% kernel / faults: 493 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 15/rcuos/0: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 959/vendor.qti.hardware.display.allocator-service: 0% user + 0% kernel / faults: 10 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 3354/com.baidu.input: 0% user + 0% kernel / faults: 369 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 111/system: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 618/f2fs_discard-25: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 48/rcuop/4: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 76/kworker/6:1-events: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 504/lmkd: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1231/traced_probes: 0% user + 0% kernel / faults: 80 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 942/android.hardware.wifi@1.0-service: 0% user + 0% kernel / faults: 118 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1227/wlan_logging_th: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 92/kcompactd0: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 399/kworker/7:3-events_power_efficient: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2731/scheduler_threa: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1/init: 0% user + 0% kernel / faults: 1 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 56/rcuop/5: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 109/ion-pool-uncach: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 964/vendor.qti.hardware.iop@2.0-service: 0% user + 0% kernel / faults: 3 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 9708/com.thundercomm.screensaver: 0% user + 0% kernel / faults: 295 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 25/rcuos/1: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 41/rcuos/3: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 506/hwservicemanager: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1458/slim_daemon: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 87/msm_watchdog: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 828/android.hardware.bluetooth@1.0-service-qti: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 913/android.hardware.memtrack@1.0-service: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1014/pm-service: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 619/f2fs_gc-252:6: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 985/vendor.qti.hardware.vibrator.service: 0% user + 0% kernel / faults: 48 minor 1 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1012/pd-mapper: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1240/traced: 0% user + 0% kernel / faults: 298 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1456/lowi-server: 0% user + 0% kernel / faults: 3 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1524/imsdatadaemon: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 28/migration/2: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 36/migration/3: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 647/time_daemon: 0% user + 0% kernel / faults: 14 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 810/ssgtzd: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 978/vendor.qti.hardware.servicetracker@1.2-service: 0% user + 0% kernel / faults: 6 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1027/audioserver: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1292/wificond: 0% user + 0% kernel / faults: 3 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1447/tzlog: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2081/com.android.bluetooth: 0% user + 0% kernel / faults: 16 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2955/wpa_supplicant: 0% user + 0% kernel / faults: 4 minor 2 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 3236/com.qualcomm.location: 0% user + 0% kernel / faults: 42 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 17/migration/0: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 20/migration/1: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 49/rcuos/4: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 65/rcuos/6: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 898/android.hardware.gnss@2.1-service-qti: 0% user + 0% kernel / faults: 9 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 994/vendor.thundercomm.hardware.tsnv@1.0-service: 0% user + 0% kernel / faults: 12 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1268/cameraserver: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1287/mediaserver: 0% user + 0% kernel

2025-07-04 7/12

mailto:android.hardware.wifi@1.0-service
mailto:vendor.qti.hardware.iop@2.0-service
mailto:android.hardware.bluetooth@1.0-service-qti
mailto:android.hardware.memtrack@1.0-service
mailto:vendor.qti.hardware.servicetracker@1.2-service
mailto:android.hardware.gnss@2.1-service-qti
mailto:vendor.thundercomm.hardware.tsnv@1.0-service


01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 4947/kworker/5:0-mm_percpu_wq: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 10350/kworker/0:1-events_freezable_power_: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2/kthreadd: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 45/ksoftirqd/4: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 57/rcuos/5: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 60/migration/6: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 69/ksoftirqd/7: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 73/rcuos/7: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 79/kauditd: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 110/ion-pool-cached: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 356/kworker/2:1H-events_highpri: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 363/kworker/3:1H-events_highpri: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 539/psimon: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 816/android.hidl.allocator@1.0-service: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 991/vendor.qti.qspmhal@1.0-service: 0% user + 0% kernel / faults: 2 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1289/storaged: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 1295/perfservice: 0% user + 0% kernel / faults: 1 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2177/com.android.networkstack.process: 0% user + 0% kernel / faults: 6 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2279/com.thundercomm.microsettings: 0% user + 0% kernel / faults: 9 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 2583/com.thundercomm.tcservice: 0% user + 0% kernel / faults: 43 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 3225/com.qualcomm.qti.workloadclassifier: 0% user + 0% kernel / faults: 22 minor

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 3922/com.android.managedprovisioning: 0% user + 0% kernel / faults: 269 minor 4 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 4000/com.android.packageinstaller: 0% user + 0% kernel / faults: 196 minor 7 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 4091/com.android.shell: 0% user + 0% kernel / faults: 180 minor 4 major

01-29 16:10:42.138  1015 11323 E ActivityManager:   0% 5674/kworker/u16:20-devfreq_wq: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10813/kworker/6:0: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10827/com.android.externalstorage: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10853/kworker/u17:4-dwc_wq: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10855/kworker/3:1-mm_percpu_wq: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10864/com.android.gallery3d: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10898/com.qualcomm.qti.qccauthmgr: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10923/kworker/5:2-mm_percpu_wq: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10967/com.android.calendar: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 10974/com.android.providers.calendar: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11012/com.android.deskclock: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11034/com.qualcomm.timeservice: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11085/kworker/u17:5-kgsl-events: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11103/kworker/u16:21-kgsl-mementry: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11123/com.android.documentsui: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11186/android.process.media: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11265/kworker/u17:6-kgsl-events: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11286/logcat: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager:  +0% 11293/com.android.documentsui:com.android.documentsui.services: 0% user + 0% kernel

01-29 16:10:42.138  1015 11323 E ActivityManager: 11% TOTAL: 2.3% user + 8.4% kernel + 0% iowait + 0.6% irq + 0.3% softirq

01-29 16:10:42.138  1015 11323 E ActivityManager: CPU usage from 7823412ms to 7823412ms ago (1970-01-01 08:00:00.000 to 1970-01-01 08:00:00.000) with 0% awake:

01-29 16:10:42.138  1015 11323 E ActivityManager: 0% TOTAL: 0% user + 0% kernel

01-29 16:10:42.139  1015 11323 I ActivityManager: Killing 10827:com.android.externalstorage/u0a25 (adj 200): bg anr

01-29 16:10:42.140  1015 11323 I am_kill : [0,10827,com.android.externalstorage,200,bg anr]

01-29 16:10:42.140  3277 10788 I MediaProvider: Deleted 0 0 0 0 0 0 0 items on external_primary due to com.android.externalstorage

01-29 16:10:42.140  1015 11323 D ActivityManager: Completed ANR of com.android.externalstorage in 2019ms, latency 3ms

01-29 16:10:42.143  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:42.144  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID
0,0-140,84} during layout: running second layout pass

01-29 16:10:42.146  1015 11324 I DropBoxManagerService: add tag=system_app_anr isTagEnabled=true flags=0x6

01-29 16:10:42.150  1015  1189 I libprocessgroup: Successfully killed process cgroup uid 10025 pid 10827 in 8ms

01-29 16:10:42.154  2085  2085 V NotificationMediaManager: DEBUG_MEDIA: updating album art for notification null metadata=null metaDataChanged=false state=0

01-29 16:10:42.164  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during second

layout pass: posting in next frame

01-29 16:10:42.164  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during second layout pass: posting in next frame

01-29 16:10:42.177  2085  2085 W View    : requestLayout() improperly called by android.widget.FrameLayout{c124467 I.E...... ......ID 0,0-780,170 #2bc} during layout:

running second layout pass

01-29 16:10:42.177  2085  2085 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{4e63026 VFED..C.. ......ID

0,0-140,84} during layout: running second layout pass

01-10 09:56:42.099     0     0 I binder  : release 10827:11278 transaction 671599 in, still active

01-10 09:56:42.106     0     0 I binder  : send failed reply for transaction 671599 to 11293:11321

01-29 16:10:42.199 11293 11321 I ActivityThread: Removing dead content provider:android.content.ContentProviderProxy@bc3a53c

01-29 16:10:42.200  1015  1955 I am_proc_died: [0,10827,com.android.externalstorage,200,5]

01-29 16:10:42.200   675   675 I Zygote  : Process 10827 exited due to signal 9 (Killed)

01-29 16:10:42.202  1015  1955 I am_uid_stopped: 10025

01-29 16:10:42.210 11293 11321 D FileOperationService: onFinished: 7803173-0

01-29 16:10:42.210 11293 11321 D FileOperationService: deleteJob: 7803173-0

01-29 16:10:42.212 11293 11321 D FileOperationService: Stop foreground

01-29 16:10:42.216  1015  1015 I sysui_multi_action:

[757,128,758,5,759,8,793,22131,794,0,795,324,796,1,806,com.android.documentsui,857,channel_id,858,2,947,0,1500,324,1641,progress,1688,1]

01-29 16:10:42.217  1015  1015 I notification_canceled: [0|com.android.documentsui|1|null|10037,8,22131,324,0,-1,-1,NULL]

01-29 16:10:42.218  2688  9778 I GameMode_ActivityMonitoringService: onForegroundServicesChanged uid 10037 pid 11293 fg 0

01-29 16:10:42.218 11293 11293 D FileOperationService: Canceling notification for 7803173-0

01-29 16:10:42.219  1015  1015 D CompatibilityChangeReporter: Compat change id reported: 175319604; UID 1000; state: ENABLED

01-29 16:10:42.219  1015  1015 D CompatibilityChangeReporter: Compat change id reported: 175319604; UID 1000; state: DISABLED

01-29 16:10:42.219 11293 11293 D FileOperationService: Shutting down. Last serviceId was 1

01-29 16:10:42.222  2688  2688 D GameMode_GameModeNotificationListenerService: onNotificationRemoved.

01-29 16:10:42.223 11293 11293 D FileOperationService: Stopping service: true

01-29 16:10:42.223 11293 11293 D FileOperationService: Shutting down executor.

01-29 16:10:42.223 11293 11293 D FileOperationService: Destroyed.

■ Next action

分析anr产生原因和源码的整个删除流程。

#5 - 2023-02-02 09:55 - CD APP-王营

- Due date changed from 2023-01-31 to 2023-02-06

此问题较复杂，正在持续跟进，优先处理一些简单的问题来消减bug数量，此问题也会同步解析。

#6 - 2023-02-07 10:13 - CD APP-王营

- Due date changed from 2023-02-06 to 2023-02-07

#7 - 2023-02-08 11:17 - CD APP-王营

- Due date changed from 2023-02-07 to 2023-02-08
■ Current conclusion

正在分析中

■ My analysis

从ContentProvider ANR的log中分析，此问题可能和GameMode相关，正在尝试移除GameMode测试是否可以删除彻底，同时还要继续分析log，寻找其他

可能存在的原因

■ Next action

1.使用不带有GameMode版本来测试此问题，user版本正在编译中

2.尝试移除GameMode.apk来测试问题

3.继续分析log

#8 - 2023-02-08 19:53 - CD APP-王营

- Due date changed from 2023-02-08 to 2023-02-10

■ Current conclusion

原生问题，正在梳理源码流程，优化源码设计逻辑

■ My analysis

对比原生机，此应用删除22G文件夹同样出现删除不彻底现象，原生逻辑在递归删除大量文件时出现ANR，中断删除任务。

■ Next action

优化源码，规避异常中断。

#9 - 2023-02-11 22:28 - CD APP-王营

- Due date changed from 2023-02-10 to 2023-02-13

■ Current conclusion

问题产生原因已经找到，需讨论一个合理解决的方案

■ My analysis

问题产生的原因是ContentProvider发生了ANR，APP原生设计如此，在DocumentUI这个应用中设置了ContentProvider的超时时间 20s, 

只要通过ContentProviderClient的setDetectNotResponding方法进行配置，就可以让ContentProviderClient具体有ANR的功能。每次增删改查的时候，都记录

一个延时任务，如果按时完成则取消任务，否则执行任务。而这个任务一旦执行，就会触发ANR的流程。

大文件夹内文件数量较多，遍历删除时间较长，超过了20s即发生了ANR，中断了删除任务，导致文件删除不彻底。

当前解决方案建议延长超时时间，或者删除结束后，如果未删除彻底则给用户提示。

■ Next action

讨论一个体验较好的解决方式。

#10 - 2023-02-14 14:41 - CD APP-王营

■ Current conclusion

已优化，待入库

■ My analysis

超时时间由20s改为60s, 当前测试28G文件夹可正常删除。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/181595
#11 - 2023-02-14 16:01 - CD TPM-王祥林

王营

和浩云沟通了，目前保持20s超时不变。如果没删除干净就弹toast提示用户，进行再次删除。

提示内容如下：

内容较多无法一次性彻底删除，请尝试再次删除。

#12 - 2023-02-16 09:36 - CD APP-王营

- Due date changed from 2023-02-13 to 2023-02-17

#13 - 2023-02-17 09:58 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#14 - 2023-02-20 09:14 - CD APP-王营

- Due date changed from 2023-02-17 to 2023-02-24

#15 - 2023-02-27 00:16 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 10 to 100

■ Current conclusion

已修改，待入库

■ My analysis

1、文件夹内如果文件过多，无法在20s内删除完成则提示用户“内容较多无法一次性彻底删除，请尝试再次删除”。

2、用户多次尝试删除，如果在20s内可正常删除则从列表中彻底移除文件夹。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/184371

#16 - 2023-02-27 18:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184371 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:DocumentsUI: Optimize large folder delete logic1.If the large folder cannot be deleted completely at one time, prompt the user to delete it againTC-RID:

1201-0300801IssueID: TS-R-BUG-115245Change-Id: I6b89c37fbb9a5bc2ab214454313576333b8845a3

#17 - 2023-02-27 18:53 - CD APP-王营

- Assignee changed from CD APP-王营 to CD Test赵飞

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-28
- Root cause set to AOSP问题

#18 - 2023-03-01 11:39 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303010015

验证结果：PASS

验证70G的文件夹可以正常被删除

#19 - 2023-03-01 11:39 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

larger_number_delete.txt 6.54 MB 2023-01-11 CDTS_TEST 刘勇

Screenshot_20230111-051811.png 269 KB 2023-01-11 CDTS_TEST 刘勇

anr_2023-01-29-16-10-40-225 29.4 KB 2023-01-30 CD APP-王营
